curl --request POST \
--url https://api.avidoai.com/v0/human-annotations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"traceId": "12345678-1234-1234-1234-1234567890ab",
"verdict": true,
"source": "REVIEW_QUEUE",
"queueItemId": "abcdef01-e89b-12d3-a456-426614174000"
}
'{
"data": {
"id": "789e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"applicationId": "456e7890-e89b-12d3-a456-426614174000",
"traceId": "12345678-1234-1234-1234-1234567890ab",
"verdict": true,
"source": "REVIEW_QUEUE",
"topicId": "789e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"critique": "The agent answered an unrelated policy question.",
"annotatorId": "user_789012",
"queueItemId": "abcdef01-e89b-12d3-a456-426614174000",
"issueId": "fedcba98-e89b-12d3-a456-426614174000"
}
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Create a human annotation
Creates a new human annotation judgement for a trace. When verdict is false, automatically creates an Inbox issue
curl --request POST \
--url https://api.avidoai.com/v0/human-annotations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"traceId": "12345678-1234-1234-1234-1234567890ab",
"verdict": true,
"source": "REVIEW_QUEUE",
"queueItemId": "abcdef01-e89b-12d3-a456-426614174000"
}
'{
"data": {
"id": "789e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"applicationId": "456e7890-e89b-12d3-a456-426614174000",
"traceId": "12345678-1234-1234-1234-1234567890ab",
"verdict": true,
"source": "REVIEW_QUEUE",
"topicId": "789e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"critique": "The agent answered an unrelated policy question.",
"annotatorId": "user_789012",
"queueItemId": "abcdef01-e89b-12d3-a456-426614174000",
"issueId": "fedcba98-e89b-12d3-a456-426614174000"
}
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
Request body for creating a new human annotation
Trace being annotated
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"12345678-1234-1234-1234-1234567890ab"
true = pass (👍), false = fail (👎)
true
Entry point used to create this annotation
REVIEW_QUEUE, TRACE_PAGE, TEST_PAGE "REVIEW_QUEUE"
Free-text critique. Required (≥20 characters) when verdict is false
1 - 2048"The agent answered an unrelated policy question."
Associated queue item ID — must be provided when source is REVIEW_QUEUE and must not be provided otherwise
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"abcdef01-e89b-12d3-a456-426614174000"
Response
Human annotation created successfully
Successful response containing a single human annotation
A single SME judgement recorded against a trace. Captures whether the AI response was acceptable (verdict) and an optional critique
Show child attributes
Show child attributes